Harness 설정
Web Fetch API
selector와 readability 옵션으로 Web 페이지 content를 HTML, text, Markdown으로 추출하세요.
POST
/v2/web/extract인증
Bearer API key
Content type
application/json
속도 제한
endpoint별 제한이 적용될 수 있습니다.
Web Fetch API 은 target URL から content 를抽出し、agents、RAG systems、content workflows が扱いやすい形式で返します。HTML、plain text、Markdown、selectors、readability options、cookies、custom user agents 를サポートします。
Endpoint
POST https://openapi.felo.ai/v2/web/extract인증
Authorization: Bearer YOUR_API_KEYBody Parameters
| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
url | string | 예 | - | extract する webpage URL |
crawl_mode | string | 아니요 | fast | fast また은 fine |
output_format | string | 아니요 | html | html、text、markdown |
with_readability | boolean or string | No | - | main content 에集中する readability processing |
target_selector | string | 아니요 | - | CSS selector |
wait_for_selector | string | 아니요 | - | dynamic content 待機用 selector |
user_agent | string | 아니요 | - | custom User-Agent |
timeout | integer | 아니요 | - | timeout milliseconds |
Example
curl -X POST https://openapi.felo.ai/v2/web/extract -H "Authorization: Bearer YOUR_API_KEY" -H "Content-Type: application/json" -d '{"url":"https://example.com/article","output_format":"markdown","with_readability":true}'사용 사례
- Agent 에 webpage context 를渡す
- RAG ingestion 用에 article text 를抽出
- webpage 를 Markdown 에変換
- CSS selectors で必要な部分だけ抽出